Subject: [Roll] Two minor comments on rpl-07

From: Matteo Paris <[email-masked]>
Date: Wed, 17 Mar 2010 13:40:59 -0500

Two minor comments on draft-ietf-roll-rpl-07:

1. The link-local multicast address used for sending RPL control 
messages should be explicitly specified as the all-routers multicast 
address, FF02::2.  It is currently ambiguous.

2. Because the rank increased from one to two bytes, the 
DAGMaxRankIncrease and MinHopRankIncrease configuration parameters 
have insufficient range.  For example, OF0 specifies a 
MinHopRankIncrease of 256, which is out of range of the configuration 
parameter.  Two possible solutions:

a) Increase the size of the configuration parameters to two bytes each.

b) Decrease the size of the configuration parameters to four bits 
each, and interpret their value as the base 2 logarithm of the 
increase amount.

I prefer solution b) since it is natural to specify those values as a 
power of two, particularly MinHopRankIncrease.  It also saves 3 bytes.

Matteo